> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TokenMessengerV2 address for a chain

> Returns the CCTP TokenMessengerV2 contract address for the specified chain.



## OpenAPI

````yaml /public/openapi.json get /api/v1/cctp/bridge/tokenmessengerv2
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/cctp/bridge/tokenmessengerv2:
    get:
      tags:
        - Integration
        - Crosschain
      summary: Get TokenMessengerV2 address for a chain
      description: >-
        Returns the CCTP TokenMessengerV2 contract address for the specified
        chain.
      operationId: CctpController_getTokenMessenger
      parameters:
        - name: chainId
          required: true
          in: query
          description: Chain ID
          schema:
            type: number
            example: 1
      responses:
        '200':
          description: TokenMessengerV2 address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CctpTokenMessengerResponse'
        '400':
          description: Chain not supported by CCTP
components:
  schemas:
    CctpTokenMessengerResponse:
      type: object
      properties:
        address:
          type: string
          description: TokenMessengerV2 contract address on the specified chain
          example: '0x28b5a0e9C621a5BadaA536219b3a228C8168cf5d'
      required:
        - address

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.